python2.7安装pip工具

By | 2022年4月26日

因老项目还是用的python2.7,最近有需求需要新增代码,所以还是需要python2.7的开发环境。pip目前已经停止了python2.7的支持,为正常使用python2.7的pip功能,需要安装指定的老版本。

setuptools-45.0 : https://files.pythonhosted.org/packages/fd/76/3c7f726ed5c582019937f178d7478ce62716b7e8263344f1684cbe11ab3e/setuptools-45.0.0.zip
pip-20.3: https://github.com/pypa/pip/archive/refs/tags/20.3.tar.gz

先安装setup tools:

python2 setup.py install

再安装pip:

python2 setup.py install

然后就能正常使用pip安装python2.7的包了。

Category: 未分类 标签:

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注